# file: rfcomm-server.py
# auth: Albert Huang <albert@csail.mit.edu>
# desc: simple demonstration of a server application that uses RFCOMM sockets
#
# $Id: rfcomm-server.py,v 1.2 2005/04/04 05:02:13 albert Exp $

from bluetooth import *

# Create the sever socket
server_sock=BluetoothSocket( RFCOMM )

# bind the socket to the first available port
port = get_available_port( RFCOMM )
err = server_sock.bind(("",port))
err = server_sock.listen(1)

# advertise our service
uuid = "1234-5678-9ABC-DEF0"
advertise_service( server_sock, "FooBar Service", uuid )

# accept an incoming connection
print "Waiting for connection on RFCOMM channel %d" % port
client_sock,address = server_sock.accept()
print "Accepted connection from ",address

# read some data and print it out
while True:
    try:
        data = client_sock.recv(1024)
    except BluetoothError, e:
        print "uh oh - %s" % str(e)
        break
    print "Data received:", data

# cleanup
stop_advertising(server_sock)
client_sock.close()
server_sock.close()
