# file: sdp-browse.py
# auth: Albert Huang <albert@csail.mit.edu>
# desc: displays services being advertised on a specified bluetooth device
# $Id: sdp-browse.py,v 1.1 2005/03/31 23:22:21 albert Exp $

import bluetooth
import sys

if len(sys.argv) < 2:
    print "usage: sdp-browse <addr>"
    print "   addr can be a bluetooth address or \"localhost\""
    sys.exit(2)

services = bluetooth.find_service(address=sys.argv[1])

if len(services) > 0:
    print "found %d services on %s" % (len(services), sys.argv[1])
    print
else:
    print "no services found"

for svc in services:
    print "Service Name: %s" % svc["name"]
    print "    Description: %s" % svc["description"]
    print "    Provided By: %s" % svc["provider"]
    print "    Protocol:    %s" % svc["protocol"]
    print "    channel/PSM: %s" % svc["port"]
    print 
